Bug 1722222 - Broken hp-uiscan.desktop (upstream bug).
Summary: Broken hp-uiscan.desktop (upstream bug).
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-19 18:02 UTC by Sergio
Modified: 2019-07-06 04:09 UTC (History)
5 users (show)

Fixed In Version: hplip-3.18.12-12.fc30 hplip-3.18.12-13.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-25 01:26:05 UTC


Attachments (Terms of Use)
Corrected hp-uiscan.desktop (165 bytes, application/x-desktop)
2019-06-19 18:02 UTC, Sergio
no flags Details

Description Sergio 2019-06-19 18:02:45 UTC
Created attachment 1582356 [details]
Corrected hp-uiscan.desktop

Description of problem:
hp-uiscan.desktop (from hplip-gui package) has broken 'Icon=' key and missing 'Categories=' key.

Version-Release number of selected component (if applicable):
3.18.12-9.fc30 but bug is present in upstream latest 3.19.5.
I didn't report upstream because a 'Ubuntu One' account is required, with full name etc. and I'm really not in the mood to sign up into that service.

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Proper /usr/share/applications/hp-uiscan.desktop should have
Icon=printer

instead of
Icon=/usr/share/icons/Humanity/devices/48/printer.svg

which is obviously broken.

And should be added missing 'Categories' field
Categories=Graphics;Scanning

as per https://specifications.freedesktop.org/menu-spec/latest/apas02.html

Comment 1 Zdenek Dohnal 2019-06-20 08:03:13 UTC
Hi Sergio,

thank you for reporting the issue and the patch! I changed it a little (used hp_logo as Icon entry value) and I will build it for Fedora. I filed the bug on upstream https://bugs.launchpad.net/hplip/+bug/1833510 .

Comment 2 Fedora Update System 2019-06-20 15:26:14 UTC
FEDORA-2019-a1fec7afaf has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a1fec7afaf

Comment 3 Sergio 2019-06-20 20:03:44 UTC
Thank you. It seems it hasn't made into updates-testing for me yet. As soon as I install it I'll leave the karma.

Comment 4 Fedora Update System 2019-06-22 06:04:09 UTC
hplip-3.18.12-12.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a1fec7afaf

Comment 5 Sergio 2019-06-22 12:57:53 UTC
Hi, now the main hplip.desktop is missing a main category¹.
Should be 'Categories=Settings;HardwareSettings;'

Thank you

¹https://specifications.freedesktop.org/menu-spec/latest/apa.html

Comment 6 Fedora Update System 2019-06-25 01:26:05 UTC
hplip-3.18.12-12.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-06-26 10:40:33 UTC
FEDORA-2019-7d2b365378 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7d2b365378

Comment 8 Fedora Update System 2019-06-27 01:41:37 UTC
hplip-3.18.12-13.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7d2b365378

Comment 9 Fedora Update System 2019-07-06 04:09:12 UTC
hplip-3.18.12-13.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.